Debian Bug report logs - #256237
The time between screens is annoyingly long

version graph

Package: partman-base; Maintainer for partman-base is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-base is src:partman-base.

Reported by: Margarita Manterola <debian@marga.com.ar>

Date: Fri, 25 Jun 2004 15:48:04 UTC

Severity: wishlist

Merged with 492086

Found in version partman-base/123

Done: Miguel Figueiredo <elmig@debianpt.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#256237; Package partman. Full text and rfc822 format available.

Acknowledgement sent to Margarita Manterola <debian@marga.com.ar>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Margarita Manterola <debian@marga.com.ar>
To: submit@bugs.debian.org
Subject: The time between screens is annoyingly long
Date: Fri, 25 Jun 2004 12:45:50 -0300
Package: partman
Severity: minor

Hi!

Using partman to edit the partition table can be quite annoying.  One of
the things is, for example, the time between screens.  It might not be
evident if you have a fast machine, but testing it with a PII or similar
is enough to make anyone crazy (you can't imagine what it's like
when testing on a m68k).

Is there a reason why it takes SO MUCH time to go from the
partition-menu to the formatting-menu, and then back?
(the same with mount point and the other screens).

I don't know what kind of checks are being done in the middle, but I'm
hoping that these tests could be optimized all in one stage, so that the
rest of the stages go fast.

Please take a look at this, you can make the interface much nicer by
making it fast.

-- 
 Besos,
     Maggie.




Bug reassigned from package `partman' to `partman-base'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sun, 20 Apr 2008 22:00:41 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#256237; Package partman-base. (Fri, 19 Mar 2010 14:30:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 19 Mar 2010 14:30:12 GMT) Full text and rfc822 format available.

Message #12 received at 256237@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Margarita Manterola <debian@marga.com.ar>, John Reiser <jreiser@BitWagon.com>, Joey Hess <joeyh@debian.org>, 256237@bugs.debian.org, 492086@bugs.debian.org
Subject: partman optimisations
Date: Fri, 19 Mar 2010 14:29:42 +0000
severity 256237 wishlist
merge 256237 492086
thanks

I did a fair bit of work on this recently.  It was in the context of
Ubuntu's graphical installer
(https://wiki.ubuntu.com/Ubiquity/PartitionerOptimisation), but the bulk
of the optimisations applied to partman proper as well; it was much
easier to profile this in the context of ubiquity anyway because it
performs many partman operations behind the scenes, so some of the times
are longer and less susceptible to random variation.

In particular, I applied the following improvements, which should have
provided order-of-magnitude speed-ups to most partman user interface
operations, cutting out around 90% of the time spent in the inner loop:

partman-base (136) unstable; urgency=low

  [ Colin Watson ]
[...]
  * Merge from Ubuntu:
    - Call sed outside debconf_select's inner loop. In my benchmarks using
      two disks with eight partitions each, this reduces debconf_select's
      runtime on partman/choose_partition from 0.69 seconds to 0.07 seconds.
    - Cache the output of partition_tree_choices for each disk, invalidating
      the cache whenever we update a partition on the disk. In the above
      benchmark, this saves on the order of half a second every time we
      redisplay the partition tree when nothing has changed (e.g. on backing
      up from a partition).
[...]

 -- Christian Perrier <bubulle@debian.org>  Wed, 06 Jan 2010 22:38:01 +0100

(And then a regression fix in partman-base 137, uploaded 14 Jan 2010.)

Most of my use of partman is in virtual machines, which may not exhibit
quite the same timing characteristics as on real hardware, but I think
this should have made a very substantial difference and subjectively it
does feel more responsive now.  Marga, John, it would be great if you
could try out a current daily build and report whether this satisfies
your concerns.

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Severity set to 'wishlist' from 'minor' Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Fri, 19 Mar 2010 14:30:14 GMT) Full text and rfc822 format available.

Merged 256237 492086. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Fri, 19 Mar 2010 14:30:14 GMT) Full text and rfc822 format available.

Reply sent to Miguel Figueiredo <elmig@debianpt.org>:
You have taken responsibility. (Sat, 29 Jan 2011 00:54:03 GMT) Full text and rfc822 format available.

Notification sent to Margarita Manterola <debian@marga.com.ar>:
Bug acknowledged by developer. (Sat, 29 Jan 2011 00:54:03 GMT) Full text and rfc822 format available.

Message #21 received at 256237-done@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 256237-done@bugs.debian.org
Cc: Margarita Manterola <debian@marga.com.ar>
Date: Sat, 29 Jan 2011 00:51:29 +0000
Hi, 

I have done myself several installations on virtual machines and on a netbook 
with a modest performance and while using the current release the 
responsivness on the installation experience it's very acceptable.
See Colin's comments on the improvements made on partman.

I am closing the report as the behaviour it's much different from when it was 
reported (releases ago).

Feel free to try the current installer release [1] (Debian Squeeze RC2) and 
report on your installation experience with the current installer.

1 - http://www.debian.org/devel/debian-installer/

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org




Reply sent to Miguel Figueiredo <elmig@debianpt.org>:
You have taken responsibility. (Sat, 29 Jan 2011 00:54:04 GMT) Full text and rfc822 format available.

Notification sent to John Reiser <jreiser@BitWagon.com>:
Bug acknowledged by developer. (Sat, 29 Jan 2011 00:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#256237; Package partman-base. (Tue, 01 Feb 2011 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Margarita Manterola <marga@marga.com.ar>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 01 Feb 2011 19:03:03 GMT) Full text and rfc822 format available.

Message #31 received at 256237@bugs.debian.org (full text, mbox):

From: Margarita Manterola <marga@marga.com.ar>
To: Miguel Figueiredo <elmig@debianpt.org>
Cc: 256237@bugs.debian.org
Subject: Re: closing bug
Date: Tue, 1 Feb 2011 15:52:25 -0300
Hola Miguel Figueiredo!

> I have done myself several installations on virtual machines and on a netbook 
> with a modest performance and while using the current release the 
> responsivness on the installation experience it's very acceptable.
> See Colin's comments on the improvements made on partman

You can't really compare a modern netbook or virtual machines on any modern
computer to the performance of a 6 bogomips (yes, six) m68k.

In order to test this bug, one would need to use the slowest machine
possible that is able to run squeeze.  And it'd still be much faster that
the particular machine I was using back then (and that was supported in
Debian, back then)

> I am closing the report as the behaviour it's much different from when it was 
> reported (releases ago).

This is probably true, although impossible for me to test.

> Feel free to try the current installer release [1] (Debian Squeeze RC2) and 
> report on your installation experience with the current installer.

I've tried the current installer with quite a lot of machines.  However,
the machines that triggered my complain are no longer supported by Debian,
and so it's really not possible to test if this is the case or not anymore.

I guess it's ok to close the bug even if it might not be fixed, since the
hardware I mentioned in my complain is no longer supported by the
installer. Which is sad, but I guess it's how life goes.

-- 
Love,
Marga




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Mar 2011 07:33:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:03:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.